/* Add any functions/overrides for this skin here */

function SplitterLoadedNew(splitter)
{
	NavigateToHash();
    var documentObj = GetDocumentObj();
    var splitSize = documentObj.clientHeight - 43;
    splitSize = AdjustForSize(splitSize,'PageHeader');
    splitSize = AdjustForSize(splitSize,'PageFooter');
    splitter.Resize(documentObj.clientWidth - 50, splitSize - 1);				    
    splitter.Resize(documentObj.clientWidth - 50, splitSize);				    
}



function StartDragDrop(grid, text, X, Y, sX, sY)
{
	gridDragging = grid;
    isDragging = true;
    CalcTreeViewItems();
    var documentObj = GetDocumentObj();
    var pageSize = parseInt(documentObj.clientHeight);
    var pageWidth = parseInt(documentObj.clientWidth);
    
    orgX = X;
    orgY = Y;
    startX = sX + (pageWidth - self.GetSMPane().GetExtContentContainerElement().offsetWidth) - 25;
    startY = sY + (pageSize - self.GetSMPane().GetExtContentContainerElement().offsetHeight) - 80;
    var ddd = document.getElementById('DragDropDiv');
    if (!ddd) return;
    var dddt = document.getElementById('DragDropDivText');
    dddt.innerHTML = text;
    ddd.style.top = startY + "px";
    ddd.style.left = startX + "px";
}

function STF_SetHeight(element, size)
{
	if (size < 1)
		return;
	var elem = document.getElementById(element);
	if (elem) elem.style.height = size + "px";
}
function STF_SetWidth(element, size)
{
	if (size < 1)
		return;
	var elem = document.getElementById(element);
	if (elem) elem.style.width = size + "px";
}